GHSA-4697-3g92-gh78

Suggest an improvement
Source
https://github.com/advisories/GHSA-4697-3g92-gh78
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2023/04/GHSA-4697-3g92-gh78/GHSA-4697-3g92-gh78.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-4697-3g92-gh78
Aliases
  • CVE-2023-30518
Published
2023-04-12T18:30:37Z
Modified
2023-11-08T04:12:23.690373Z
Severity
  • 4.3 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N CVSS Calculator
Summary
Jenkins Thycotic Secret Server Plugin missing permissions check
Details

Jenkins Thycotic Secret Server Plugin 1.0.2 and earlier does not perform a permission check in an HTTP endpoint.

This allows attackers with Overall/Read permission to enumerate credentials IDs of credentials stored in Jenkins. Those can be used as part of an attack to capture the credentials using another vulnerability.

References

Affected packages

Maven / io.jenkins.plugins:thycotic-secret-server

Package

Name
io.jenkins.plugins:thycotic-secret-server
View open source insights on deps.dev
Purl
pkg:maven/io.jenkins.plugins/thycotic-secret-server

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
1.0.2

Affected versions

1.*

1.0.0
1.0.1
1.0.2